<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AlunosUnidadesRecursoAvQuestoesRespostas extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'alunos_unidades_recursos_av_questoes_respostas';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_unidades_recursos_av_questoes_resp_id', 'enunciadoAlternativa', 'opcaoSelecionada', 'opcaoCorreta'];

    protected $connection = 'mysql_sav';

    /**
     * Lista respostas de uma determinada questão
     *
     * @param integer $idQuestao
     * @return object
     */
    public function getRespostasQuestao(int $idQuestao)
    {
        return $this->where('alunos_unidades_recursos_av_questoes_resp_id', $idQuestao)
                    ->get();
    }
}
