<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Alunos_respFinanceiro extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'alunos_respFinanceiros';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_id', 'nomeResponsavel', 'cpfResponsavel', 'rgResponsavel', 'dataExpedicaoRGResp', 'foneResp',
    'celularResp', 'emailResp', 'cepResponsavel', 'enderecoResponsavel', 'bairroResponsavel', 'cidadeResponsavel',
    'ufResponsavel'];

    /**
     * lista responsável financeiro por aluno
     *
     * @param integer $aluno
     * @return void
     */
    public function getRespFinAluno(int $aluno){
        $lista = $this->where('alunos_id', $aluno)
                        ->get();
        return $lista;
    }
}
