<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class BoletosPagos extends Model
{
    protected $table = 'boletos_gerados';
    protected $fillable = [
        'boletos_config_id', 'alunos_faturas_id', 'numDocumento', 'valorDocumento', 'dataVctoDocumento', 
        'instrucoesBoleto', 'codOcorrencia', 'ocorrenciaDescricao','ocorrenciaTipo', 'codRejeicao', 'obsPagto', 
        'statusBoleto', 'dataRegistroRemessa', 'numeroControle', 'nossoNumero', 'carteira', 'dataOcorrencia', 
        'dataCredito', 'valorRecebido', 'valorTarifa', 'valorIOF', 'valorAbatimento', 'valorDesconto', 'valorMora',
        'valorMulta'
    ];
    
    // lista dados do boleto por id da fatura
    public function getFaturaID(int $idFatura){
        $lista = $this->where('alunos_faturas_id', $idFatura)
                    ->orderBy('id', 'desc');
        return $lista->get();
    }
    
}
