<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class FaqPergunta extends Model
{
    //
    protected $table = 'faq_pergunta';
    protected $fillable = ['id','empresa_id', 'categoria_id', 'modalidade' , 'perguntaFaq' , 'status'];

    public function getPergunta(string $modalidade, string $platAcc, string $tipoCurso)
    {
        return $this->where('modalidade', $modalidade)
                    ->where('tipoCurso', $tipoCurso)
                    ->where('plataformaAcesso', $platAcc)
                    ->where('status', '1')
                    ->select('perguntaFaq' , 'id')
                    ->get();
    }
}
