@forelse ($dados as $post)
    <div class="card hoverable grey lighten-5" style="margin-left: 15px">
        <div class="row">
            <div class="col s2 center-align avatar" style="border-right: 1px dotted #ccc;">
                <img src="{{ asset('img/avatar.png') }}" class="circle responsive-img"><br />
                <span>{{ $post['nomeUsuario'] }}</span><br />
                <small>{{ $post['tipoUsuario'] }}</small>
            </div>
            <div class="col s10">
                <div class="card-content">
                    {!! $post['txtPost'] !!}
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col s6">
                            <a href="#finalizaAvaliacao" class="modal-trigger" onclick="getResposta({{ $post['idPost'] }}, '{{ $post['nomeUsuario'] }}', '{{ $post['tipoUsuario'] }}', '{{ $post['txtPost'] }}')"><i class="material-icons">reply</i> Responder</a>
                        </div>
                        <div class="col s6 right-align">
                            <small>Postado em {{ formataDataHora($post['dataPostagem'], 'd/m/Y H:m') }}h</small>
                        </div>
                    </div>                                                                               
                </div>
            </div>
        </div>
        @if ($post['postFilhos'])
            @include('aluno.curso.disciplinaRecursoForumPostFilho', ['dados' => $post['postFilhos'], 'nivel' => $nivel+1])                            
        @endif
        
    </div>
@empty
    
@endforelse