@extends('layouts.appAluno')

@section('code_header')
<style>
    .card{
        min-height: 310px;
    }
</style>
@endsection

@section('breadcrumb')
<nav class="barraNavegacao">
    <div class="nav-wrapper">
        <div class="row">
            <div class="col m5 breadRota">
                <a href="#!" class="breadcrumb">Página Inicial</a>
            </div>
            <div class="col m7 breadAluno right-align">
                {{ Request::session()->get('matricula')['codMatricula'] }} |
                {{ Request::session()->get('matricula')['nomeAluno'] }}
            </div>
        </div>
    </div>
</nav>
@endsection


@section('sidebar')

@stop

@section('content')

<div class="container marginTop15">
<!--    
    <div class="row">
        <div class="col-md-12">
            <div class="card" style="height: 145px !import; background: #fdc800; color: #000; font-size: 24px">
                <div class="card-content">
                    Prezado(a) aluno(a), <br>
                Estamos passando por algumas instabilidades na conexão com o nosso servidor de vídeos,
             devido a isto algumas videoaulas estão offline. <br /><br />
             Nossa equipe técnica já esta trabalhando para restabelecer as conexões o mais breve possível.
                </div>
            </div>
        </div>
    </div>
    -->
    <div class="row">
        @forelse ($disciplinas as $disc)
            <div class="col s12 m3">

                <div class="card" style="height: 330px">
                    <div class="card-image waves-effect waves-block waves-light">
                        @if($disc['imgCapa'] and $disc['imgCapa'] !== '#')
                            <img class="activator responsive-img" src="{{ $disc['imgCapa'] }}" />
                        @else
                            <img class="activator" src="{{ env('APP_URL_SAV') . '/img/office.jpg' }}" />
                        @endif
                    </div>
                    <div class="card-content">
                        <span class="card-title activator grey-text text-darken-4">{{ $disc['nomeDisciplina'] }}<i class="material-icons right">more_vert</i></span>
                        <div class="col m8">
                            @if ($disc['matNotas'] == '2')
                                <p>Disciplina creditada.</p>
                            @elseif ($disc['dataLiberacao'] <= date('Y-m-d'))
                                <p><a href="{{ route('aluno.disciplina', [$disc['idDisciplinaEAD']]) }}" class="btn btnTop black-text">Acessar</a></p>
                            @else
                                <p>Esta disciplina será liberada em <b>{{ formataDataHora($disc['dataLiberacao'], 'd/m/y') }}</b></p>
                            @endif
                        </div>
                        
                         
                    </div>
                    <div class="card-reveal">
                        <span class="card-title grey-text text-darken-4"><i class="material-icons right">close</i>{{ $disc['nomeDisciplina'] }}</span>
                        <p>{{ $disc['descDisciplina'] }}</p>
                    </div>
                </div>

            </div>
        @empty
        <div class="col s12 m12">
            <p>No momento não há disciplinas liberadas para seu curso.</p>
        </div>
        @endforelse
    </div>
</div>

<div id="aviso" class="modal">

    <div class="modal-content">
      <h4 id="titulo" style='text-align:center' class="tituloForm">Atenção</h4>

      <div class="row">
         <div id="editUnid" class="modal">

    <div class="modal-content">
      <h4 id="titulo" style='text-align:center' class="tituloForm"></h4>

      <div class="row">
         
      </div>

    </div>
    <div class="modal-footer">
      <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
    </div>

</div>
      </div>

    </div>
    <div class="modal-footer">
      <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
    </div>


</div>

@stop

@section('js')
<script>
$(document).ready(function(){
    // the "href" attribute of the modal trigger must specify the modal ID that wants to be triggered
    $('#aviso').modal('open');
    CKEDITOR.replace( 'textarea1' );
});

function editUnid(id,titulo){    
    document.getElementById("paragrafo").innerHTML = id;
    document.getElementById("titulo").innerHTML = 'Ementa da disciplina: ' + titulo;
}
</script>


@stop
