<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Contrato</title>
    <style>
        #contrato{ width: 98%; margin: 10px auto; }
        h2{ font-size: 18px; text-align: center; }
        body{ font-family: 'Courier New', Courier, monospace, sans-serif; font-size: 12px; }
        p{ text-align: justify; }
        .dataContrato{ text-align: right; }
        table { width: 100%; }
        .assinaturasContrato{ text-align: center; }
        .quebrapagina { page-break-before: always; }
        .tabelaDados{ width: 100%; }
        .tabelaDados td { border: 1px solid #000; padding: 3px 2px;}
    </style>
</head>
<body>

    <div id="contrato">

        <h2>CONTRATO DE PRESTAÇÃO DE SERVIÇOS EDUCACIONAIS</h2>
        <p class="dataContrato">
            <small>Contrato No.: {{ $matricula->codMatricula }}</small>
        
    </p>
        <p>
            A) CONTRATANTE:<br />
            Aluno (a) identificado (a) no REQUERIMENTO DE MATRÍCULA fornecido pela CONTRATADA, cujo documento integra o presente contrato.
        </p>
        <p>
            B) CONTRATADA:<br />
            Faculdade Estratego, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834, CEP - 66.063-223, bairro São Brás, Belém, Pará.<br />
            CONTRATANTE, qualificada(a) no REQUERIMENTO DE MATRÍCULA, e CONTRATADAS, qualificadas no preâmbulo B, têm entre si firmado o presente contrato de prestação de serviços educacionais, com as cláusulas e condições que se seguem:
        </p>

        <p>CLÁUSULA 1ª- O objeto deste contrato é a prestação de serviços educacionais pela CONTRATADA ao CONTRATANTE, especificado em formulário próprio denominado REQUERIMENTO DE MATRÍCULA que integra o presente contrato, com identificação do curso e investimento.</p>
    <p>CLÁUSULA 2ª- O aluno será considerado formalmente matriculado após o preenchimento do formulário de matrícula, pagamento da taxa de matrícula e concluir todo o processo de matrícula online.</p>
    <p>Parágrafo 1º- O aluno (a) estará sujeito ao disposto no regimento e normas da CONTRATADA, legislação de ensino, regulamento e manual do aluno, cujas determinações integram o presente instrumento contratual para aplicação e disponíveis para consulta na Coordenação Acadêmica da CONTRATADA.</p>
    <p>Parágrafo 2º- As informações consignadas e as vias dos documentos pessoais do (a) aluno (a), constantes no REQUERIMENTO DE MATRÍCULA, que deverão ser enviados de forma digitalizada, são de inteira e exclusiva responsabilidade do(a) CONTRATANTE, bem como a atualização de dados pessoais, de novos documentos, endereços para correspondências escolares e de instituições financeiras.</p>
    <p>Parágrafo 3º  As partes acordam que a plataforma, na qual recebe os documentos no portal do aluno, será considerada como meio de comprovação de autoria e da integralidade dos documentos recebidos, conforme dispõe o Art. 6° do Decreto n°10.278.</p>
    <p>Parágrafo 4º - Enquanto o CONTRATANTE não realizar a entrega integral dos documentos constantes no REQUERIMENTO DE MATRÍCULA será considerado aluno de curso de extensão, ensejando, apenas, o direito de recebimento do certificado de extensão universitária.</p>
    <p>CLÁUSULA 3ª - Fica ciente o CONTRATANTE que o prazo estipulado para a sua rematrícula trimestral é peremptório devendo o mesmo manter a sua qualidade para habilitação do seu direito conforme estipulado neste contrato.</p>
    <p>Parágrafo Único - O pagamento da taxa de matrícula,  juntamente com a inexistência de débitos junto a CONTRATADA, é condição imprescindível para a validação da matrícula no trimestre subsequente.</p>
    <p>CLÁUSULA 4ª- A CONTRATADA oferecerá ao(à) CONTRATANTE o curso especificado no REQUERIMENTO DE MATRÍCULA, respeitando o projeto pedagógico e em conformidade com a legislação pertinente, tendo o aluno ao final de seu curso direito, de forma gratuita, ao certificado de conclusão de pós graduação ou, se for o caso, de extensão universitária, acompanhado do histórico acadêmico final disponibilizado na sua área do aluno, em formato digital, quando cumprir todos os requisitos dispostos nas normas da CONTRATADA e deste contrato.</p>
    <p>Parágrafo 1º- Caso o Aluno opte por receber o certificado de forma física, este arcará com os  custos de impressão e translado do mesmo.</p>
    <p>Parágrafo 2º- O material didático utilizado no curso será disponibilizado ou indicado, conforme a liberação do curso ou da disciplina por parte da CONTRATADA, apenas em forma digital, no site da CONTRATADA ou em outro local que for indicado, ficando sob a responsabilidade do CONTRATANTE a impressão do mesmo.</p>
    <p>Parágrafo 3º- A fixação de carga-horária, indicação do corpo docente, a marcação de datas, atividades ou avaliações, e sua aplicação será de responsabilidade da CONTRATADA.</p>
    <p>Parágrafo 4º- A comunicação da CONTRATADA com o CONTRATANTE no que diz respeito ao repasse de informações pedagógicas, dia das aulas, alterações de datas e outras informações ocorrerá por meio de avisos na área eletrônica do aluno.</p>
    <p>CLÁUSULA 5ª- Não estão incluídos no valor deste CONTRATO DE PRESTAÇÃO DE SERVIÇOS EDUCACIONAIS os serviços especiais de reposição, avaliação substituta ou quaisquer outros serviços não apresentados na cláusula 4ª do presente instrumento.
</p>
    <p>Parágrafo Único- Os serviços especiais indicados nesta cláusula ou quaisquer outros, se necessário, serão
prestados ao (à) CONTRATANTE na forma de ajuste a parte, obedecendo o regimento vigente e a metodologia adotada pela CONTRATADA.
</p>
    <p>CLÁUSULA 6ª- É de inteira responsabilidade do(a) CONTRATANTE realizar disciplinas/atividades de seu curso conforme calendário fornecido pela CONTRATADA.</p>
    <p>CLÁUSULA 7ª- A aprovação do CONTRATANTE exige uma frequência mínima de 75% (setenta e cinco por cento) ao longo do curso e um aproveitamento de 70% (setenta por cento) para as avaliações, para cursos de Pós-graduação.</p>
    <p>Parágrafo Único- Não haverá, sob qualquer hipótese, reposição das aulas ministradas</p>
    <p>CLÁUSULA 8ª- O(a) CONTRATANTE se obriga a efetuar o pagamento da taxa de matrícula, conforme estabelecido no REQUERIMENTO DE MATRÍCULA.</p>
    <p>Parágrafo 1º- O pagamento da taxa de matrícula, conforme REQUERIMENTO DE MATRÍCULA efetivará a matrícula do CONTRATANTE ou aluno, reservando-se a CONTRATADA o direito de cancelar a matrícula, devolvendo o valor integral do pagamento, se o número mínimo de matriculados no curso for insuficiente para garantir o equilíbrio financeiro necessário à sua manutenção, caso não seja bolsista integral.</p>
    <p>Parágrafo 2º- O não pagamento da taxa de matrícula por parte do CONTRATANTE no prazo determinado pela CONTRATADA, será considerado ruptura deste contrato de prestação de serviços, ensejando o cancelamento deste contrato de prestação de serviço educacional.</p>
    <p>Os pagamentos serão efetuados, rigorosamente, nas datas dos respectivos vencimentos, à própria CONTRATADA ou através da rede bancária, quando a CONTRATADA determinar, conforme REQUERIMENTO DE MATRÍCULA.
</p>
    <p>Parágrafo 3º- Em caso de pagamento com cheque, o mesmo será recebido em caráter ''pró-solvendo'', somente ficando quitado o compromisso após o pagamento pelo banco.</p>
    <p>CLÁUSULA 9ª- Este contrato terminará de pleno direito, ao final do respectivo curso, com o período de realização a ser determinado pela CONTRATADA, conforme informado no REQUERIMENTO DE MATRÍCULA.</p>
    <p>Parágrafo 1º-  O CONTRATANTE deverá comunicar formalmente à CONTRATADA, a DESISTÊNCIA do curso em que está regularmente matriculado, sendo OBRIGATÓRIO, para sua validade, a comunicação via protocolo de cancelamento disponibilizado pela Instituição.</p>
    <p>Parágrafo 2º- O abandono do curso, ou seja, a desistência sem o efetivo cancelamento, previsto no parágrafo 1º desta cláusula, será considerado ruptura deste contrato de prestação de serviços.</p>
    <p>CLÁUSULA 10ª- Considera-se jubilado o aluno que não concluir seu curso no prazo de dois anos, contados a partir da data de encerramento do mesmo indicado no requerimento de matrícula.</p>
    <p>CLÁUSULA 11ª-  Poderão ser creditadas as disciplinas cursadas e devidamente aprovadas no prazo máximo de dois anos, a contar da data de encerramento do curso.</p>
    <p>CLÁUSULA 12ª- O (a) CONTRATANTE, ao dar o aceite ao final do processo de matrícula online no site da CONTRATADA, estará ciente e de acordo com todas as disposições deste contrato.</p>
    <p>Parágrafo 1º- Este contrato constitui título executivo extrajudicial.</p>
    <p>Parágrafo 2º- A CONTRATADA é reservado o direito de, quando necessário, trocar professores, datas e horários. </p>
    <p>Parágrafo 3º- Caso o aluno ou CONTRATANTE se comporte de forma inconveniente, a CONTRATADA poderá rescindir este acordo, na forma do Art. 607, do Código Civil Brasileiro.</p>
    
    <p>CLÁUSULA 13ª- Fica eleito o foro da comarca de Belém, Estado do Pará, para dirimir quaisquer dúvidas que se originarem da execução deste instrumento e que não puderem ser solucionados administrativamente entre as partes.</p>
    <br /><br /><br />

        <p class="dataContrato">
            {{ $diaSemana }}, {{ $dataMatricula }}
        </p>
        <br /><br /><br /><br /><br />
        
    </div><!--#contrato-->

    <div class="quebrapagina"></div>

    <div id="requerimento">

        <h2>REQUERIMENTO DE MATRÍCULA</h2>

        <p>
            1. IDENTIFICAÇÃO DO CURSO <br />
            {{ $curso->siglaCurso }} - {{ $curso->nomeCurso }}
        </p>

        <p>2. CONTRATANTE/ALUNO</p>
        <p>
            2.1. DADOS PESSOAIS <br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td colspan="4"><b>Nome:</b> {{ $aluno->nomeAluno }}</td>
                    </tr>
                    <tr>
                        <td><b>CPF:</b> {{ $aluno->cpfAluno }}</td>
                        <td><b>Identidade:</b> {{ $aluno->rgAluno }}</td>
                        <td><b>Orgão Emissor:</b> </td>
                        <td><b>Data Emissão:</b> {{ date('d/m/Y', strtotime($aluno->dataExpedicaoRG)) }}</td>
                    </tr>
                    <tr>
                        <td>
                            <b>Sexo:</b>
                            @if ($aluno->sexoAluno == 'M') Masculino @endif
				            @if ($aluno->sexoAluno == 'F') Feminino @endif
                        </td>
                        <td><b>Data Nascimento:</b> {{ date('d/m/Y', strtotime($aluno->dataNascimento)) }}</td>
                        <td colspan="2">
                            <b>Estado Civil:</b>
                            @if ($aluno->estadoCivil == 1) Solteiro @endif
                            @if ($aluno->estadoCivil == 2) Casado @endif
                            @if ($aluno->estadoCivil == 3) Separado @endif
                            @if ($aluno->estadoCivil == 4) Divorciado @endif
                            @if ($aluno->estadoCivil == 5) União Estável @endif
                            @if ($aluno->estadoCivil == 6) Viúvo @endif
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Nacionalidade:</b> {{ $aluno->nacionalidade }}</td>
                        <td colspan="2"><b>Naturalidade:</b> {{ $aluno->localNascimento }}</td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Nome da Mãe:</b> {{ $aluno->nomeMae }}</td>
                        <td colspan="2"><b>Nome do Pai:</b> {{ $aluno->nomePai }}</td>
                    </tr>
                </tbody>
            </table>
        </p>

        <p>
            2.2. ENDEREÇO RESIDENCIAL/CONTATO <br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td colspan="2"><b>Endereço:</b> {{ $aluno->enderecoAluno }}</td>
                        <td colspan="2"><b>Complemento:</b></td>
                    </tr>
                    <tr>
                        <td><b>Bairro:</b> {{ $aluno->bairroAluno }}</td>
                        <td><b>CEP:</b> {{ $aluno->cepAluno }}</td>
                        <td><b>Cidade:</b> {{ $aluno->cidadeAluno }}</td>
                        <td><b>UF:</b> {{ $aluno->ufAluno }}</td>
                    </tr>
                    <tr>
                        <td><b>Telefone:</b> {{ $aluno->foneFixo }}</td>
                        <td><b>Celular:</b> {{ $aluno->foneCelular }}</td>
                        <td colspan="2"><b>E-mail:</b> {{ $aluno->emailAluno }}</td>
                    </tr>
                </tbody>
            </table>
        </p>
        <p>3. DADOS FINANCEIROS</p>

        <p>
            3.1. RESPONSÁVEL FINANCEIRO<br />

            @if($respFinanceiro->count() > 0)
                <table class="tabelaDados">
                    <tr>
                        <td colspan="4"><b>Nome:</b> {{ $respFinanceiro[0]->nomeResponsavel }}</td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>CPF:</b> {{ $respFinanceiro[0]->cpfResponsavel }}</td>
                        <td><b>Identidade:</b> {{ $respFinanceiro[0]->rgResponsavel }}</td>
                        <td><b>Data de Emissão:</b> {{ $respFinanceiro[0]->dataExpedicaoRGResp }}</td>
                    </tr>
                    <tr>
                        <td colspan="4"><b>Endereço:</b> {{ $respFinanceiro[0]->enderecoResponsavel }}</td>
                    </tr>
                    <tr>
                        <td><b>CEP:</b> {{ $respFinanceiro[0]->cepResponsavel }}</td>
                        <td><b>Bairro:</b> {{ $respFinanceiro[0]->bairroResponsavel }}</td>
                        <td><b>Cidade:</b> {{ $respFinanceiro[0]->cidadeResponsavel }}</td>
                        <td><b>UF:</b> {{ $respFinanceiro[0]->ufResponsavel }}</td>
                    </tr>
                    <tr>
                        <td><b>Telefone:</b> {{ $respFinanceiro[0]->foneResp }}</td>
                        <td><b>Celular:</b> {{ $respFinanceiro[0]->celularResp }}</td>
                        <td colspan="2"><b>E-mail:</b> {{ $respFinanceiro[0]->emailResp }}</td>
                    </tr>
                </table>
            @else
                <table class="tabelaDados">
                    <tr>
                        <td>Próprio Aluno</td>
                    </tr>
                </table>
            @endif
        </p>

        <p>3.2. INVESTIMENTO</p>
        <p>
            3.2.1. VALOR DO CURSO<br />
            <table class="tabelaDados">
               <tbody>
                    <tr>
                        <td><b>Valor Integral:</b> R$ {{ number_format($matricula->valorCurso, 2, ',', '.') }}</td>
                        <td>
                            @php
                                $totalDesconto = ($matricula->valorDesconto*$matricula->qtdeParcela);
                                $totalCurso = $matricula->valorCurso - $totalDesconto;
                            @endphp
                            <b>Valor do Curso com Desconto:</b> R$ {{ number_format($totalCurso, 2, ',', '.') }}
                        </td>
                    </tr>
               </tbody>
            </table>
        </p>
        <p>
            3.2.2. CONDIÇÕES DE PAGAMENTO
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td><b>Nº de Parcelas:</b> <br /> {{ ($matricula->qtdeParcela > 0) ? $matricula->qtdeParcela : '' }}</td>
                        <td><b>Valor Parcela:</b> <br /> R$ {{ ($matricula->qtdeParcela > 0) ? number_format(($matricula->valorCurso/$matricula->qtdeParcela), 2, ',', '.') : '' }}</td>
                        <td><b>Desconto da Parcela:</b> <br /> R$ {{ ($matricula->qtdeParcela > 0) ? number_format($matricula->valorDesconto, 2, ',', '.') : '' }}</td>
                        <td><b>Valor Parc. c/Desconto:</b> <br /> R$ {{ ($matricula->qtdeParcela > 0) ? number_format(($matricula->valorCurso/$matricula->qtdeParcela)-$matricula->valorDesconto, 2, ',', '.') : ''}}</td>
                    </tr>
                </tbody>
            </table>
        </p>
        <p>
            3.2.3. VENCIMENTO<br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td>
                            @forelse($faturas as $key => $ln)

                                    @if($ln->parcelaCorrente == 0)
                                        Matrícula:
                                        {{ implode("/", array_reverse(explode("-", $ln->dataVcto))) }} (R$ {{ number_format($ln->valorFatura, 2, ',','.') }})
                                    @else
                                        {{ $ln->parcelaCorrente }}ª.
                                        {{ implode("/", array_reverse(explode("-", $ln->dataVcto))) }}
                                        @if($ln->valorFatura == '0.00')
                                            (R$ 0,00)
                                        @else
                                            (R$ {{ number_format($ln->valorFatura-$matricula->valorDesconto, 2, ',','.') }})
                                        @endif
                                    @endif
                            @empty
                            @endforelse
                        </td>
                    </tr>
                </tbody>
            </table>
        </p>
        <p>
            3.2.4. MATRÍCULA<br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td><b>Taxa de Matrícula:</b> <br /> R$ {{ number_format($faturas[0]->valorFatura, 2, ',', '.') }}</td>
                        <td><b>Desconto Matrícula:</b> <br /> R$ 0,00</td>
                        <td><b>Valor Matrícula:</b> <br /> R$ {{ number_format($faturas[0]->valorFatura, 2, ',', '.') }}</td>
                    </tr>
                </tbody>
            </table>
        </p>

        <div class="quebrapagina"></div>

        <h4>4. CONFIRMAÇÃO DE MATRÍCULA</h4>
                <p>4.1. DOCUMENTOS NECESSÁRIOS:</p>
                <p>IDENTIDADE/RG, CPF, COMPROVANTE DE RESIDÊNCIA ATUAL, DIPLOMA DE GRADUAÇÃO, TODOS  DIGITALIZADOS DO ORIGINAL OU DA CÓPIA AUTENTICADA.</p>
                <p><o>PRAZO MÁXIMO: 60(SESSENTA) DIAS APÓS DATA DE INSCRIÇÃO.</p>
                <p>&middot; LOCAL PARA ENVIO: PORTAL DO ALUNO</p>

                <p>&middot; O PRESENTE REQUERIMENTO SOMENTE SERÁ VALIDADO SE O ITEM 04 FOR OBSERVADO.</p>
        <br /><br />
        <p class="dataContrato">
            {{ $diaSemana }}, {{ $dataMatricula }}
        </p>
        <br /><br /><br /><br /><br />
        

    </div><!--#requerimento-->


    <script type="text/javascript">
        window.print();
    </script>

</body>
</html>
