<!DOCTYPE html>
<html lang="pt-br">
<!--================================================================================
	Item Name: Sistema Academico
	Version: 0.0.1
	Author: Faculdade Estratego
	Author URL: http://www.estratego.com.br
================================================================================ -->
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <meta name="description" content="Materialize is a Material Design Admin Template,It's modern, responsive and based on Material Design by Google. ">
  <meta name="keywords" content="materialize, admin template, dashboard template, flat admin template, responsive admin template,">
  <title>Sala de aula</title>

  <!-- Favicons-->
  <link rel="icon" href="images/favicon/favicon-32x32.png" sizes="32x32">
  <!-- Favicons-->
  <link rel="apple-touch-icon-precomposed" href="images/favicon/apple-touch-icon-152x152.png">
  <!-- For iPhone -->
  <meta name="msapplication-TileColor" content="#00bcd4">
  <meta name="msapplication-TileImage" content="images/favicon/mstile-144x144.png">
  <!-- For Windows Phone -->


  <!-- CORE CSS-->
  <link href="{{ asset('css/materialize.css') }}" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="{{ asset('css/style.css') }}" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="{{ asset('css/contraste.css') }}" rel="stylesheet">

  <!-- Custome CSS-->

  <link href="{{ asset('css/custom/custom-style.css') }}" type="text/css" rel="stylesheet" media="screen,projection">

  @yield('css_custom')
  
  <!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-ZCEYKHFT02"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-ZCEYKHFT02');
</script>

<!-- Facebook Pixel Code -->
<script>
  !function(f,b,e,v,n,t,s)
  {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
  n.callMethod.apply(n,arguments):n.queue.push(arguments)};
  if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
  n.queue=[];t=b.createElement(e);t.async=!0;
  t.src=v;s=b.getElementsByTagName(e)[0];
  s.parentNode.insertBefore(t,s)}(window, document,'script',
  'https://connect.facebook.net/en_US/fbevents.js');
  fbq('init', '2459938377610944');
  fbq('track', 'PageView');
</script>
<noscript>
  <img height="1" width="1" style="display:none" 
      src="https://www.facebook.com/tr?id=2459938377610944&ev=PageView&noscript=1"/>
</noscript>
<!-- End Facebook Pixel Code -->
  
<!-- INCLUDED PLUGIN CSS ON THIS PAGE -->
  <link href="{{ asset('js/plugins/prism/prism.css') }}" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="{{ asset('js/plugins/perfect-scrollbar/perfect-scrollbar.css') }}" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="{{ asset('js/plugins/chartist-js/chartist.min.css') }}" type="text/css" rel="stylesheet" media="screen,projection">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-185462610-2"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-185462610-2');
</script>


</head>

<body>
  <!-- Start Page Loading -->
  <div id="loader-wrapper">
      <div id="loader"></div>
      <div class="loader-section section-left"></div>
      <div class="loader-section section-right"></div>
  </div>
  <!-- End Page Loading -->

  <!-- //////////////////////////////////////////////////////////////////////////// -->

  <!-- START HEADER -->
  <header id="header" class="page-topbar">
        <!-- start header nav-->
        <div class="navbar-fixed">
            
                    @switch(Request::session()->get('matricula')['idEmpresa'])

                    {{-- Estratego Treinamentos Gerenciais  --}}
                        @case(5)
                        @case(7)
              <nav class="navbar-color Black">
                <div class="nav-wrapper">
                    <ul class="left">
                          <li>
                            <h1 class="logo-wrapper"><a href="{{route('home.moodle')}}" class="brand-logo darken-1"><img src="{{ asset('/img/estratego.png') }}" alt="Estratego logo"></a> <span class="logo-text">Estratego</span></h1>
                          </li>
                        @break
                        @case(6)
                        @case(13)
              <nav class="navbar-color Black">
                <div class="nav-wrapper">
                    <ul class="left">
                          <li>
                            <h1 class="logo-wrapper"><a href="{{route('home.moodle')}}" class="brand-logo darken-1"><img src="{{ asset('/img/logo_carreira.png') }}" alt="Estratego logo"></a> <span class="logo-text">Estratego</span></h1>
                          </li>
                            
                        @break
                        @default
              <nav class="navbar-color colorInex">
                <div class="nav-wrapper">
                    <ul class="left">
                          <li>
                           <h1 class="logo-wrapper"><a href="{{route('home.moodle')}}" class="brand-logo darken-1"><img src="{{ asset('/img/logo_inex6.png') }}" alt="Estratego logo"></a> <span class="logo-text">Estratego</span></h1>
                          </li>
                    @endswitch
                      
                    </ul>
                    
                    
                    <ul class="right hide-on-med-and-down">
                    <li>
                          <a >
                          {{ Request::session()->get('matricula')['nomeCurso'] }}
                          </a>
                    </li>
                      @guest
                        @else
                        @if(Request::session()->get('matricula')['linkava'] && in_array(Request::session()->get('matricula')['modalidade'], [2,3]))
                        <li>
                          <a class="dropdown-item {{ (Request::session()->get('matricula')['bloqueioSAV']) ? 'modal-trigger' : '' }}" href="{{ (Request::session()->get('matricula')['linkava'] && !Request::session()->get('matricula')['bloqueioSAV']) ? route('aluno.home') : '#msgBol' }}">
                            SAV
                          </a>
                        </li>
                        @endif
                        <li>
                          <a href="javascript:void()" title="Diminuir Fonte" class="decrease"><b>A-</b>Diminuir Texto</a>
                          </li>
                          <li>
                          <a href="javascript:void()" title="Aumentar Fonte" class="increase"><b>A+</b>Aumentar Texto</a>
                          </li>
                          <li>
                          <a href="javascript:void()" title="Tamanho normal" class="reset"><b>A</b>Texto padrão</a>
                          </li>

                        

                        <li>
                          <a href="#altocontraste" id="altocontraste" accesskey="3" onclick="window.toggleContrast()" onkeydown="window.toggleContrast()"><i  class="large mdi-action-invert-colors"></i></a>
                          
                        </li>
                       
                        <li>
                            {{ Auth::user()->name }} <span class="caret"></span>
                            <div aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                    onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                                    {{ __('Sair') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    @endguest
                    </ul>
                    <!-- translation-button -->

                </div>
            </nav>
        </div>
        <!-- end header nav-->
  </header>
  <!-- END HEADER -->

  <!-- //////////////////////////////////////////////////////////////////////////// -->

  <!-- START MAIN -->
  <main>
    <div id="main">
      <!-- START WRAPPER -->
      <div class="wrapper">

          <!-- START LEFT SIDEBAR NAV-->
          <aside id="left-sidebar-nav">
              <ul id="slide-out" class="side-nav fixed leftside-navigation ps-container ps-active-y" style="width: 240px; left: 0px;">
                
                {{-- MENU PRESENCIAL --}}
                @if(Request::session()->get('matricula')['modalidade'] == 1)
                  @include('layouts.menu.presencial')
                @endif
                {{-- MENU EAD--}}
                @if(Request::session()->get('matricula')['modalidade'] == 2)
                  @include('layouts.menu.ead')
                @endif
                {{-- MENU SEMI--}}
                @if(Request::session()->get('matricula')['modalidade'] == 3)
                  @include('layouts.menu.semi')
                @endif


                  <li class="bold">
                    <a class="waves-effect waves-cyan" href="{{ route('logout') }}"
                        onclick="event.preventDefault();
                                      document.getElementById('logout-form').submit();">
                        <i class="mdi-action-exit-to-app"></i> Sair
                    </a>

                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
                  </li>
                  <div class="ps-scrollbar-x-rail" style="left: 0px; bottom: 3px;"><div class="ps-scrollbar-x" style="left: 0px; width: 0px;"></div></div><div class="ps-scrollbar-y-rail" style="top: 0px; height: 593px; right: 3px;"><div class="ps-scrollbar-y" style="top: 0px; height: 268px;"></div></div>
              </ul>
                  <a href="#" data-activates="slide-out" class="sidebar-collapse btn-floating btn-medium waves-effect waves-light hide-on-large-only grey darken-2"><i class="mdi-navigation-menu"></i></a>
              </aside>
          <!-- END LEFT SIDEBAR NAV-->

        <!-- //////////////////////////////////////////////////////////////////////////// -->

        <!-- START CONTENT -->
        <section id="content">
          @yield('breadcrumbs')



          <!--start container-->
          <div class="container">
            <div class="section">
              @yield('content')
              <div class="divider"></div>
            </div>

          </div>
          <!--end container-->
        </section>
        <!-- END CONTENT -->

        <!-- //////////////////////////////////////////////////////////////////////////// -->
      </div>
      <!-- END WRAPPER -->

    </div>
  </main>
  <!-- END MAIN -->



  <!-- //////////////////////////////////////////////////////////////////////////// -->

  <!-- START FOOTER -->
  <footer class="page-footer black">
    <div class="footer-copyright">
      <div class="container">
        <span>Copyright © {{date('Y')}} <a class="grey-text text-lighten-4" href="#" target="_blank">Código 43</a> Todos os direitos Reservados.</span>
        </div>
    </div>
  </footer>
  <!-- END FOOTER -->



    <!-- ================================================
    Scripts
    ================================================ -->

    <!-- jQuery Library -->
    <script type="text/javascript" src="{{ asset('js/plugins/jquery-1.11.2.min.js') }}"></script>
    <!--materialize js-->
    <script type="text/javascript" src="{{ asset('js/materialize.js') }}"></script>
    <!--prism
    <script type="text/javascript" src="js/prism/prism.js"></script>-->
    <!--scrollbar-->
    <script type="text/javascript" src="{{ asset('js/plugins/perfect-scrollbar/perfect-scrollbar.min.js') }}"></script>
    <!-- chartist -->
    <script type="text/javascript" src="{{ asset('js/plugins/chartist-js/chartist.min.js') }}"></script>

    <!--plugins.js - Some Specific JS codes for Plugin Settings-->
    <script type="text/javascript" src="{{ asset('/js/plugins.js') }}"></script>
    <!--custom-script.js - Add your own theme custom JS-->
    <script type="text/javascript" src="{{ asset('/js/custom-script.js') }}"></script>
    <!--dataMask-->
    <script type="text/javascript" src="{{ asset('/js/jquery.mask.min.js') }}"></script>
    <script>
      $(function() {
           $('.maskPeriodo').mask('00/0000');
           $('.maskCnpj').mask('00.000.000/0000-00');
           $('.maskCPF').mask('000.000.000-00');
           $('.maskCEP').mask('00000000');
           $('.maskFone').mask('(00) 0000-0000');
           $('.maskCelular').mask('(00) 00000-0000');
           $('.maskData').mask('00/00/0000');
       });
   </script>


  {{-- VIDEO DE BOAS VINDAS--}}
  <div id="videoAmbiente" class="modal">
      <div class="modal-content">
          @switch(Request::session()->get('matricula')['modalidade'])
              @case(1)
              @case(2)
                <div class="video-container">
                    <iframe src="https://player.vimeo.com/video/370963297" id="vimeoVideo" width="640" height="564" frameborder="0" allow="fullscreen" allowfullscreen></iframe>
                </div>
              @break
              @case(3)
                <div class="video-container">
                    <iframe src="https://player.vimeo.com/video/450539686" id="vimeoVideo" width="640" height="564" frameborder="0" allow="fullscreen" allowfullscreen></iframe>
                </div>
              @break
              @default
                <p>Ainda não há vídeo disponível.</p>
              @break
          @endswitch
      </div>
      <div class="modal-footer">
        <a href="#" class="waves-effect waves-red btn-flat modal-action modal-close" onclick="pauseVideo()">Fechar</a>
      </div>
  </div>
  {{-- / VIDEO DE BOAS VINDAS--}}


{{-- MENSAGEM DE INADIMPENCIA--}}
@if(Request::session()->get('matricula')['bloqueioSAV'])
<div id="msgBol" class="modal">
    <div class="modal-content">
        <h4><i class="mdi-alert-warning"></i> ATENÇÃO:</h4>
        <h5 class="mdl">
            Prezado aluno, <a href="{{ route('moodle.financeiro') }}">clique aqui</a> para negociar seus débitos com a Instituição.
        </h5>
    </div>
    <div class="modal-footer">
      <a href="#" class="waves-effect waves-red btn-flat modal-action modal-close">Fechar</a>
    </div>
</div>
<style>h5.mdl a.white-text { color: #000 !important; } </style>
@endif
{{-- / MENSAGEM DE INADIMPENCIA--}}


  <script>
    var pauseVideo = function () {
        var $frame = $('iframe#vimeoVideo');

        // saves the current iframe source
        var vidsrc = $frame.attr('src');

        // sets the source to nothing, stopping the video
        $frame.attr('src','');

        // sets it back to the correct link so that it reloads immediately on the next window open
        $frame.attr('src', vidsrc);
    };
  </script>
 
     @yield('js')

    

 {{-- adição do chat boot no portal --}}
 <!--<script src="https://unpkg.com/blip-chat-widget" type="text/javascript">-->
 <!--</script>-->
 <!--<script>-->
 <!--    (function () {-->
 <!--        window.onload = function () {-->
 <!--            new BlipChat()-->
 <!--            .withAppKey('c29maWEyNzowMWE3YzFmZi03NjIwLTQ4YmMtYjAxNi05MTQ3YzhiYWFlYWE=')-->
 <!--            .withButton({"color":"#2CC3D5","icon":""})-->
 <!--            .withCustomCommonUrl('https://chat.blip.ai/')-->
 <!--            .build();-->
 <!--        }-->
 <!--    })();-->
 <!--</script>-->

    <!-- Funções de acessibilidade !-->
    <script>
        $(document).ready(function() {
      //especifica os elementos que ajustara o font-size
      var resize = new Array('p', 'span', 'a', 'th', 'li', 'h5', 'ul');
      resize = resize.join(',');
      var contator = 0;
    
      //resets the font size when "reset" is clicked
      var resetFont = $(resize).css('font-size');
      $(".reset").click(function() {
      $(resize).css('font-size', resetFont);
      var contator = 0;
      });
    
      //increases font size when "+" is clicked
      $(".increase").click(function() {
      contator++;
      var originalFontSize = $(resize).css('font-size');
      var originalFontNumber = parseFloat(originalFontSize);
      var newFontSize = originalFontNumber * 1.2;
      if(contator > 2){
        var newFontSize = originalFontNumber;
        contator = 2;
      }
      $(resize).css('font-size', newFontSize);
      
      return false;
      });
    
      //decrease font size when "-" is clicked
    
      $(".decrease").click(function() {
      contator--;
      var originalFontSize = $(resize).css('font-size');
      var originalFontNumber = parseFloat(originalFontSize, 10);
      var newFontSize = originalFontNumber * 0.8;
      if(contator < -2){
        var newFontSize = originalFontNumber;
        contator = -2;
      }
      $(resize).css('font-size', newFontSize);
      return false;
      });
    
    });

    </script>

<script src="{{ asset('css/altocontraste.js') }}"></script>

<!-- formloader request -->
<div id="formloader"></div>
<script>
$(document).ready(function(){
  $("form").on("submit", function(){
    var spinner = $('#formloader');
    spinner.show();
  });
});
</script>
</body>

</html>
